<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Bad Plugins 1.0 Plugins Reference Manual: mpeg2enc</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Bad Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-bad Elements">
<link rel="prev" href="gst-plugins-bad-plugins-modplug.html" title="modplug">
<link rel="next" href="gst-plugins-bad-plugins-mplex.html" title="mplex">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-mpeg2enc.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-mpeg2enc.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-mpeg2enc.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-mpeg2enc.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-bad-plugins-modplug.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-bad-plugins-mplex.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-bad-plugins-mpeg2enc"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-bad-plugins-mpeg2enc.top_of_page"></a>mpeg2enc</span></h2>
<p>mpeg2enc — High-quality MPEG-1/2 video encoder</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-mpeg2enc.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--altscan-mpeg2" title="The “altscan-mpeg2” property">altscan-mpeg2</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstMpeg2encAspect</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--aspect" title="The “aspect” property">aspect</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--b-per-refframe" title="The “b-per-refframe” property">b-per-refframe</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--bitrate" title="The “bitrate” property">bitrate</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--bufsize" title="The “bufsize” property">bufsize</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--closed-gop" title="The “closed-gop” property">closed-gop</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--constraints" title="The “constraints” property">constraints</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--correct-svcd-hds" title="The “correct-svcd-hds” property">correct-svcd-hds</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--dualprime" title="The “dualprime” property">dualprime</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--dummy-svcd-sof" title="The “dummy-svcd-sof” property">dummy-svcd-sof</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--force-b-b-p" title="The “force-b-b-p” property">force-b-b-p</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstMpeg2encFormat</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--format" title="The “format” property">format</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstMpeg2encFramerate</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--framerate" title="The “framerate” property">framerate</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstMpeg2encInterlaceMode</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--interlace-mode" title="The “interlace-mode” property">interlace-mode</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--intra-dc-prec" title="The “intra-dc-prec” property">intra-dc-prec</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--keep-hf" title="The “keep-hf” property">keep-hf</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--max-gop-size" title="The “max-gop-size” property">max-gop-size</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--min-gop-size" title="The “min-gop-size” property">min-gop-size</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--motion-search-radius" title="The “motion-search-radius” property">motion-search-radius</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--non-video-bitrate" title="The “non-video-bitrate” property">non-video-bitrate</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstMpeg2encVideoNorm</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--norm" title="The “norm” property">norm</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstMpeg2encPlaybackFieldOrders</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--playback-field-order" title="The “playback-field-order” property">playback-field-order</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--pulldown-3-2" title="The “pulldown-3-2” property">pulldown-3-2</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstMpeg2encQuantisationMatrix</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--quant-matrix" title="The “quant-matrix” property">quant-matrix</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--quant-reduction-max-var" title="The “quant-reduction-max-var” property">quant-reduction-max-var</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--quantisation" title="The “quantisation” property">quantisation</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--quantisation-reduction" title="The “quantisation-reduction” property">quantisation-reduction</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--reduce-hf" title="The “reduce-hf” property">reduce-hf</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--reduction-2x2" title="The “reduction-2x2” property">reduction-2x2</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--reduction-4x4" title="The “reduction-4x4” property">reduction-4x4</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--sequence-header-every-gop" title="The “sequence-header-every-gop” property">sequence-header-every-gop</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--sequence-length" title="The “sequence-length” property">sequence-length</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--unit-coeff-elim" title="The “unit-coeff-elim” property">unit-coeff-elim</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc--vcd-still-size" title="The “vcd-still-size” property">vcd-still-size</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GstMpeg2enc"></a><div class="refsect1">
<a name="gst-plugins-bad-plugins-mpeg2enc.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="gst-plugins-bad-plugins-mpeg2enc.html#GstMpeg2enc-struct" title="GstMpeg2enc">GstMpeg2enc</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-mpeg2enc.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> GstMpeg2enc
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-mpeg2enc.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GstMpeg2enc implements
 <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPreset.html">GstPreset</a>.</p>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-mpeg2enc.description"></a><h2>Description</h2>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.45.8.2.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-bad-plugins-plugin-mpeg2enc.html#plugin-mpeg2enc">mpeg2enc</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>Andrew Stevens &lt;andrew.stevens@nexgo.de&gt;
Ronald Bultje &lt;rbultje@ronald.bitfreak.net&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Codec/Encoder/Video</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.45.8.2.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>video/x-raw, format=(string)I420, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction){ 24000/1001, 24/1, 25/1, 30000/1001, 30/1, 50/1, 60000/1001 }</td>
</tr>
</tbody>
</table></div>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>src</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>source</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>video/mpeg, systemstream=(boolean)false, mpegversion=(int){ 1, 2 }, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction){ 24000/1001, 24/1, 25/1, 30000/1001, 30/1, 50/1, 60000/1001 }</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-mpeg2enc.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-mpeg2enc.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstMpeg2enc-struct"></a><h3>GstMpeg2enc</h3>
<pre class="programlisting">typedef struct _GstMpeg2enc GstMpeg2enc;</pre>
<p>
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-mpeg2enc.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstMpeg2enc--altscan-mpeg2"></a><h3>The <code class="literal">“altscan-mpeg2”</code> property</h3>
<pre class="programlisting">  “altscan-mpeg2”            <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Alternate MPEG-2 block scanning. Disabling this might make buggy players play SVCD streams.</p>
<p>Flags: Read / Write</p>
<p>Default value: TRUE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--aspect"></a><h3>The <code class="literal">“aspect”</code> property</h3>
<pre class="programlisting">  “aspect”                   <span class="type">GstMpeg2encAspect</span></pre>
<p>Display aspect ratio.</p>
<p>Flags: Read / Write</p>
<p>Default value: Deduce from input</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--b-per-refframe"></a><h3>The <code class="literal">“b-per-refframe”</code> property</h3>
<pre class="programlisting">  “b-per-refframe”           <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Number of B frames between each I/P frame.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,2]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--bitrate"></a><h3>The <code class="literal">“bitrate”</code> property</h3>
<pre class="programlisting">  “bitrate”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Compressed video bitrate (kbps).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,40000]</p>
<p>Default value: 1125</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--bufsize"></a><h3>The <code class="literal">“bufsize”</code> property</h3>
<pre class="programlisting">  “bufsize”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Target decoders video buffer size (kB) (default depends on format).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [20,4000]</p>
<p>Default value: 46</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--closed-gop"></a><h3>The <code class="literal">“closed-gop”</code> property</h3>
<pre class="programlisting">  “closed-gop”               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>All Group-of-Pictures are closed (for multi-angle DVDs).</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--constraints"></a><h3>The <code class="literal">“constraints”</code> property</h3>
<pre class="programlisting">  “constraints”              <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Use strict video resolution and bitrate checks.</p>
<p>Flags: Read / Write</p>
<p>Default value: TRUE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--correct-svcd-hds"></a><h3>The <code class="literal">“correct-svcd-hds”</code> property</h3>
<pre class="programlisting">  “correct-svcd-hds”         <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Force SVCD width to 480 instead of 540/720.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--dualprime"></a><h3>The <code class="literal">“dualprime”</code> property</h3>
<pre class="programlisting">  “dualprime”                <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Dual Prime Motion Estimation Mode for MPEG-2 I/P-frame only streams.  Quite some players do not support this.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--dummy-svcd-sof"></a><h3>The <code class="literal">“dummy-svcd-sof”</code> property</h3>
<pre class="programlisting">  “dummy-svcd-sof”           <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Generate dummy SVCD scan-data (for vcdimager).</p>
<p>Flags: Read / Write</p>
<p>Default value: TRUE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--force-b-b-p"></a><h3>The <code class="literal">“force-b-b-p”</code> property</h3>
<pre class="programlisting">  “force-b-b-p”              <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Force two B frames between I/P frames when closing GOP boundaries.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--format"></a><h3>The <code class="literal">“format”</code> property</h3>
<pre class="programlisting">  “format”                   <span class="type">GstMpeg2encFormat</span></pre>
<p>Encoding profile format.</p>
<p>Flags: Read / Write</p>
<p>Default value: Generic MPEG-1</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--framerate"></a><h3>The <code class="literal">“framerate”</code> property</h3>
<pre class="programlisting">  “framerate”                <span class="type">GstMpeg2encFramerate</span></pre>
<p>Output framerate.</p>
<p>Flags: Read / Write</p>
<p>Default value: Same as input</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--interlace-mode"></a><h3>The <code class="literal">“interlace-mode”</code> property</h3>
<pre class="programlisting">  “interlace-mode”           <span class="type">GstMpeg2encInterlaceMode</span></pre>
<p>MPEG-2 motion estimation and encoding modes.</p>
<p>Flags: Read / Write</p>
<p>Default value: Progressive</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--intra-dc-prec"></a><h3>The <code class="literal">“intra-dc-prec”</code> property</h3>
<pre class="programlisting">  “intra-dc-prec”            <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Number of bits precision for DC (base colour) in MPEG-2 blocks.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [8,11]</p>
<p>Default value: 9</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--keep-hf"></a><h3>The <code class="literal">“keep-hf”</code> property</h3>
<pre class="programlisting">  “keep-hf”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Maximize high-frequency resolution (for high-quality sources).</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--max-gop-size"></a><h3>The <code class="literal">“max-gop-size”</code> property</h3>
<pre class="programlisting">  “max-gop-size”             <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Maximal size per Group-of-Pictures (-1=default).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [G_MAXULONG,250]</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--min-gop-size"></a><h3>The <code class="literal">“min-gop-size”</code> property</h3>
<pre class="programlisting">  “min-gop-size”             <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Minimal size per Group-of-Pictures (-1=default).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [G_MAXULONG,250]</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--motion-search-radius"></a><h3>The <code class="literal">“motion-search-radius”</code> property</h3>
<pre class="programlisting">  “motion-search-radius”     <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Motion compensation search radius.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,32]</p>
<p>Default value: 16</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--non-video-bitrate"></a><h3>The <code class="literal">“non-video-bitrate”</code> property</h3>
<pre class="programlisting">  “non-video-bitrate”        <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Assumed bitrate of non-video for sequence splitting (kbps).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,10000]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--norm"></a><h3>The <code class="literal">“norm”</code> property</h3>
<pre class="programlisting">  “norm”                     <span class="type">GstMpeg2encVideoNorm</span></pre>
<p>Tag output for specific video norm.</p>
<p>Flags: Read / Write</p>
<p>Default value: Unspecified</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--playback-field-order"></a><h3>The <code class="literal">“playback-field-order”</code> property</h3>
<pre class="programlisting">  “playback-field-order”     <span class="type">GstMpeg2encPlaybackFieldOrders</span></pre>
<p>Force specific playback field order.</p>
<p>Flags: Read / Write</p>
<p>Default value: Unspecified</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--pulldown-3-2"></a><h3>The <code class="literal">“pulldown-3-2”</code> property</h3>
<pre class="programlisting">  “pulldown-3-2”             <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Generate header flags for 3-2 pull down 24fps movies.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--quant-matrix"></a><h3>The <code class="literal">“quant-matrix”</code> property</h3>
<pre class="programlisting">  “quant-matrix”             <span class="type">GstMpeg2encQuantisationMatrix</span></pre>
<p>Quantisation matrix to use for encoding.</p>
<p>Flags: Read / Write</p>
<p>Default value: Default</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--quant-reduction-max-var"></a><h3>The <code class="literal">“quant-reduction-max-var”</code> property</h3>
<pre class="programlisting">  “quant-reduction-max-var”  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></pre>
<p>Maximal luma variance below which quantisation boost is used.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,2500]</p>
<p>Default value: 100</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--quantisation"></a><h3>The <code class="literal">“quantisation”</code> property</h3>
<pre class="programlisting">  “quantisation”             <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Quantisation factor (-1=cbr, 0=default, 1=best, 31=worst).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [G_MAXULONG,31]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--quantisation-reduction"></a><h3>The <code class="literal">“quantisation-reduction”</code> property</h3>
<pre class="programlisting">  “quantisation-reduction”   <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></pre>
<p>Max. quantisation reduction for highly active blocks.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-4,10]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--reduce-hf"></a><h3>The <code class="literal">“reduce-hf”</code> property</h3>
<pre class="programlisting">  “reduce-hf”                <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></pre>
<p>How much to reduce high-frequency resolution (by increasing quantisation).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,2]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--reduction-2x2"></a><h3>The <code class="literal">“reduction-2x2”</code> property</h3>
<pre class="programlisting">  “reduction-2x2”            <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Reduction factor for 2x2 subsampled candidate motion estimates (1=max. quality, 4=max. speed).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [1,4]</p>
<p>Default value: 3</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--reduction-4x4"></a><h3>The <code class="literal">“reduction-4x4”</code> property</h3>
<pre class="programlisting">  “reduction-4x4”            <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Reduction factor for 4x4 subsampled candidate motion estimates (1=max. quality, 4=max. speed).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [1,4]</p>
<p>Default value: 2</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--sequence-header-every-gop"></a><h3>The <code class="literal">“sequence-header-every-gop”</code> property</h3>
<pre class="programlisting">  “sequence-header-every-gop” <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Include a sequence header in every GOP.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--sequence-length"></a><h3>The <code class="literal">“sequence-length”</code> property</h3>
<pre class="programlisting">  “sequence-length”          <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Place a sequence boundary after each &lt;num&gt; MB (0=disable).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,10240]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--unit-coeff-elim"></a><h3>The <code class="literal">“unit-coeff-elim”</code> property</h3>
<pre class="programlisting">  “unit-coeff-elim”          <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>How agressively small-unit picture blocks should be skipped.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-40,40]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstMpeg2enc--vcd-still-size"></a><h3>The <code class="literal">“vcd-still-size”</code> property</h3>
<pre class="programlisting">  “vcd-still-size”           <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Size of VCD stills (in KB).</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,512]</p>
<p>Default value: 0</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>